## GdlDockBar GdlDockBar |

## Synopsis

                        GdlDockBarPrivate;
    enum                GdlDockBarStyle;
                        GdlDockBar;
    GtkWidget *         gdl_dock_bar_new                    (GdlDock *dock);
    GtkOrientation      gdl_dock_bar_get_orientation        (GdlDockBar *dockbar);
    void                gdl_dock_bar_set_orientation        (GdlDockBar *dockbar,
                                                             GtkOrientation orientation);
    void                gdl_dock_bar_set_style              (GdlDockBar *dockbar,
                                                             GdlDockBarStyle style);
    GdlDockBarStyle     gdl_dock_bar_get_style              (GdlDockBar *dockbar);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBox
                                     +----GdlDockBar

## Implemented Interfaces

GdlDockBar implements GtkBuildable, GtkOrientable and AtkImplementorIface.

## Properties

      "dockbar-style"            GdlDockBarStyle       : Read / Write / Construct
      "master"                   GdlDockMaster*        : Read / Write

## Description

## Details

### GdlDockBarPrivate

    typedef struct _GdlDockBarPrivate GdlDockBarPrivate;

### enum GdlDockBarStyle

    typedef enum {
        GDL_DOCK_BAR_ICONS,
        GDL_DOCK_BAR_TEXT,
        GDL_DOCK_BAR_BOTH,
        GDL_DOCK_BAR_AUTO
    } GdlDockBarStyle;

### GdlDockBar

    typedef struct _GdlDockBar GdlDockBar;

### gdl_dock_bar_new ()

    GtkWidget *         gdl_dock_bar_new                    (GdlDock *dock);

`dock` : |
Returns : |

### gdl_dock_bar_get_orientation ()

    GtkOrientation      gdl_dock_bar_get_orientation        (GdlDockBar *dockbar);

`dockbar` : |
Returns : |

### gdl_dock_bar_set_orientation ()

    void                gdl_dock_bar_set_orientation        (GdlDockBar *dockbar,
                                                             GtkOrientation orientation);

`dockbar` : |
`orientation` : |

### gdl_dock_bar_set_style ()

    void                gdl_dock_bar_set_style              (GdlDockBar *dockbar,
                                                             GdlDockBarStyle style);

`dockbar` : |
`style` : |

### gdl_dock_bar_get_style ()

    GdlDockBarStyle     gdl_dock_bar_get_style              (GdlDockBar *dockbar);

`dockbar` : |
Returns : |

## Property Details

### The `"dockbar-style"` property

      "dockbar-style"            GdlDockBarStyle       : Read / Write / Construct

Dockbar style to show items on it.

Default value: GDL_DOCK_BAR_BOTH

### The `"master"` property

      "master"                   GdlDockMaster*        : Read / Write

GdlDockMaster object which the dockbar widget is attached to.